The BOM Update Batch object
Attributes
Unique identifier for the object.
{
"id": "b-o-m-update-batch_abc123",
"idx": 1,
"bom_update_log_id": "2024-01-15",
"level": 0,
"batch_no": 0,
"boms_updated": "2024-01-15",
"status": "draft"
} /api/manufacturing/b-o-m-update-batch?parent_id={id} List bom update batchs by parent
Returns all bom update batchs belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of bom update batch objects belonging to the parent.
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-batch?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "b-o-m-update-batch_abc123",
"idx": 1,
"bom_update_log_id": "2024-01-15",
"level": 0,
"batch_no": 0,
"boms_updated": "2024-01-15",
"status": "draft"
}
],
"has_more": false,
"total": 1
} /api/manufacturing/b-o-m-update-batch Create a bom update batch
Creates a new bom update batch object.
Body parameters
Returns
Returns the newly created bom update batch object if the call succeeded.
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-batch \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"bom_update_log_id":"2024-01-15"}' {
"id": "b-o-m-update-batch_abc123",
"idx": 1,
"bom_update_log_id": "2024-01-15",
"level": 0,
"batch_no": 0,
"boms_updated": "2024-01-15",
"status": "draft"
} /api/manufacturing/b-o-m-update-batch/{id} Update a bom update batch
Updates the specified bom update batch by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the bom update batch to update.
Body parameters
Returns
Returns the updated bom update batch object.
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-batch/b-o-m-update-batch_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"bom_update_log_id":"2024-01-15"}' {
"id": "b-o-m-update-batch_abc123",
"idx": 1,
"bom_update_log_id": "2024-01-15",
"level": 0,
"batch_no": 0,
"boms_updated": "2024-01-15",
"status": "draft"
} /api/manufacturing/b-o-m-update-batch/{id} Delete a bom update batch
Permanently deletes a bom update batch. This cannot be undone.
Path parameters
The identifier of the bom update batch to delete.
Returns
Returns a confirmation that the bom update batch has been deleted.
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-batch/b-o-m-update-batch_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "b-o-m-update-batch_abc123",
"deleted": true
} /api/manufacturing/b-o-m-update-batch/reorder Reorder bom update batchs
Updates the sort order of bom update batchs within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-batch/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "b-o-m-update-batch_abc123",
"idx": 1,
"bom_update_log_id": "2024-01-15",
"level": 0,
"batch_no": 0,
"boms_updated": "2024-01-15",
"status": "draft"
}